#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xfce4-power-manager
Version		:	4.19.4
Release		:	17.2.0.rel%{?dist}

Summary		:	Power management for the Xfce desktop environment
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://archive.xfce.org/src/xfce/xfce4-power-manager

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	at-spi2-core-devel
BuildRequires	:	garcon
BuildRequires	:	gobject-introspection
BuildRequires	:	libxfce4ui
BuildRequires	:	libnotify
BuildRequires	:	upower-glib
BuildRequires	:	upower-devel
BuildRequires	:	xfce4-dev-tools
BuildRequires	:	xfce4-panel
BuildRequires	:	wayland-protocols

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
#-----------------------------------------------------------------------------
%description
%{name} is a power manager for the Xfce desktop, Xfce power manager
manages the power sources on the computer and the devices that can
be controlled to reduce their power consumption (such as LCD brightness
level, monitor sleep). 
In addition, xfce4-power-manager provides a set of freedesktop-compliant
DBus interfaces to inform other applications about current power level
so that they can adjust their power consumption.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README.md
%{_bindir}/%{name}*
%{_sbindir}/xfce4-pm-helper
%{_sbindir}/xfpm-power-backlight-helper
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_libdir}/xfce4/panel/plugins/lib*.so
%{_datadir}/icons/hicolor/*/status/*.png
%{_datadir}/icons/hicolor/*/apps/org.xfce.powermanager.png
%{_datadir}/icons/hicolor/scalable/status/*.svg
%{_datadir}/icons/hicolor/scalable/apps/org.xfce.powermanager.svg
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}-settings.desktop
%{_datadir}/xfce4/panel/plugins/power-manager-plugin.desktop
%{_datadir}/polkit-1/actions/org.xfce.power.policy
%{_mandir}/man1/*.1.gz

#-------------------------------------------------------------------
%post
%{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor

#-------------------------------------------------------------------
%postun
if [ $1 -eq 0 ] ; then
  %{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor
  fi

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--sysconfdir=%{_sysconfdir}			\
	--libdir=%{_libdir}				\
	--libexecdir=%{_libexecdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--enable-wayland				\
	--enable-x11					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang	%{name}
#-------------------------------------------------------------------
%changelog
